> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List form types



## OpenAPI

````yaml /spec/openapi.json get /form_types
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /form_types:
    get:
      tags:
        - Form Types
      summary: List form types
      operationId: form-types-index
      parameters:
        - name: owner_type
          in: query
          schema:
            type: string
            enum:
              - contractor
              - employee
              - work_assignment
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"list"`).
                    readOnly: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the object in Nmbr.
                          readOnly: true
                        object:
                          type: string
                          description: The type of the object in Nmbr (`"form_type"`).
                          readOnly: true
                        data:
                          $ref: '#/components/schemas/FormType'
              example:
                object: list
                data:
                  - id: <id>
                    object: form_type
                    data:
                      type: td1
                      label: TD1 Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1
                  - id: <id>
                    object: form_type
                    data:
                      type: td1ab
                      label: TD1AB Alberta Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1ab
                  - id: <id>
                    object: form_type
                    data:
                      type: td1bc
                      label: TD1BC British Columbia Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1bc
                  - id: <id>
                    object: form_type
                    data:
                      type: td1mb
                      label: TD1MB Manitoba Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1mb
                  - id: <id>
                    object: form_type
                    data:
                      type: td1nb
                      label: TD1NB New Brunswick Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1nb
                  - id: <id>
                    object: form_type
                    data:
                      type: td1nl
                      label: >-
                        TD1NL Newfoundland and Labrador Personal Tax Credits
                        Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1nl
                  - id: <id>
                    object: form_type
                    data:
                      type: td1ns
                      label: TD1NS Nova Scotia Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1ns
                  - id: <id>
                    object: form_type
                    data:
                      type: td1nt
                      label: TD1NT Northwest Territories Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1nt
                  - id: <id>
                    object: form_type
                    data:
                      type: td1nu
                      label: TD1NU Nunavut Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1nu
                  - id: <id>
                    object: form_type
                    data:
                      type: td1on
                      label: TD1ON Ontario Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1on
                  - id: <id>
                    object: form_type
                    data:
                      type: td1pe
                      label: TD1PE Prince Edward Island Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1pe
                  - id: <id>
                    object: form_type
                    data:
                      type: td1sk
                      label: TD1SK Saskatchewan Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1sk
                  - id: <id>
                    object: form_type
                    data:
                      type: td1yt
                      label: TD1YT Yukon Personal Tax Credits Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1yt
                  - id: <id>
                    object: form_type
                    data:
                      type: tp_1015_3_v
                      label: Québec Source Deductions Return
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/tp_1015_3_v
                  - id: <id>
                    object: form_type
                    data:
                      type: td1x
                      label: TD1X Statement of Commission Income and Expenses
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/td1x
                  - id: <id>
                    object: form_type
                    data:
                      type: t4
                      label: T4 Statement of Remuneration Paid
                      owner_types:
                        - employee
                    links:
                      self: /form_types/t4
                  - id: <id>
                    object: form_type
                    data:
                      type: t4a
                      label: >-
                        T4A Statement of Pension, Retirement, Annuity, and Other
                        Income
                      owner_types:
                        - employee
                        - contractor
                    links:
                      self: /form_types/t4a
                  - id: <id>
                    object: form_type
                    data:
                      type: roe
                      label: Record of Employment
                      owner_types:
                        - employee
                    links:
                      self: /form_types/roe
                  - id: <id>
                    object: form_type
                    data:
                      type: tp_1015_r_13_v
                      label: Québec Commissions and Expenses Statement
                      owner_types:
                        - work_assignment
                    links:
                      self: /form_types/tp_1015_r_13_v
                  - id: <id>
                    object: form_type
                    data:
                      type: rl1
                      label: Relevé 1 (RL-1) - Employment and Other Income
                      owner_types:
                        - employee
                    links:
                      self: /form_types/rl1
components:
  schemas:
    FormType:
      type: object
      title: Form Type
      properties:
        type:
          type: string
          description: The string identifier for this form type.
          nullable: true
          enum:
            - rl1
            - roe
            - t4
            - t4a
            - td1
            - td1ab
            - td1bc
            - td1mb
            - td1nb
            - td1nl
            - td1ns
            - td1nt
            - td1nu
            - td1on
            - td1pe
            - td1sk
            - td1x
            - td1yt
            - tp_1015_3_v
            - tp_1015_r_13_v
        label:
          type: string
          description: The human-readable display name for this form type.
          nullable: true
        version_year:
          type: number
          nullable: true
          format: decimal
        version_month:
          type: string
          nullable: true
        owner_types:
          type: array
          description: The owner types that can have forms of this type.
          nullable: true
          items:
            type: string
        exportable_as:
          type: object
          nullable: true
        supports_population:
          type: boolean
        supports_generation:
          type: boolean
        fields:
          type: array
          nullable: true
          items:
            type: object
            properties:
              key:
                type: string
                nullable: true
              label:
                type: string
                nullable: true
              type:
                type: string
                nullable: true
                enum:
                  - rl1
                  - roe
                  - t4
                  - t4a
                  - td1
                  - td1ab
                  - td1bc
                  - td1mb
                  - td1nb
                  - td1nl
                  - td1ns
                  - td1nt
                  - td1nu
                  - td1on
                  - td1pe
                  - td1sk
                  - td1x
                  - td1yt
                  - tp_1015_3_v
                  - tp_1015_r_13_v
              required:
                type: boolean
              readonly:
                type: boolean
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````